Package org.eclipse.birt.chart.model.attribute

# Enum Direction

java.lang.Object
java.lang.Enum<Direction>
org.eclipse.birt.chart.model.attribute.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<Direction>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum Direction extends Enum<Direction> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Direction', and utility methods for working with them. This type represents the options available for directions.

See Also:
  - `AttributePackage.getDirection()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LEFT_RIGHT_LITERAL`
The 'Left Right' literal object.
`TOP_BOTTOM_LITERAL`
The 'Top Bottom' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LEFT_RIGHT`
The 'Left Right' literal value.
`static final int`
`TOP_BOTTOM`
The 'Top Bottom' literal value.
`static final List<Direction>`
`VALUES`
A public read-only list of all the 'Direction' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static Direction`
`get(int value)`
Returns the 'Direction' literal with the specified integer value.
`static Direction`
`get(String literal)`
Returns the 'Direction' literal with the specified literal value.
`static Direction`
`getByName(String name)`
Returns the 'Direction' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static Direction`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Direction[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LEFT_RIGHT_LITERAL

public static final Direction LEFT_RIGHT_LITERAL
The 'Left Right' literal object.

If the meaning of 'Left Right' literal object isn't clear, there really should be more of a description here...

See Also:
  - `LEFT_RIGHT`

### TOP_BOTTOM_LITERAL

public static final Direction TOP_BOTTOM_LITERAL
The 'Top Bottom' literal object.

If the meaning of 'Top Bottom' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TOP_BOTTOM`

## Field Details

### LEFT_RIGHT

public static final int LEFT_RIGHT
The 'Left Right' literal value.

See Also:
  - `LEFT_RIGHT_LITERAL`
  - Constant Field Values

### TOP_BOTTOM

public static final int TOP_BOTTOM
The 'Top Bottom' literal value.

See Also:
  - `TOP_BOTTOM_LITERAL`
  - Constant Field Values

### VALUES

public static final List<Direction> VALUES
A public read-only list of all the 'Direction' enumerators.

## Method Details

### values

public static Direction[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Direction valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static Direction get(String literal)
Returns the 'Direction' literal with the specified literal value.

### getByName

public static Direction getByName(String name)
Returns the 'Direction' literal with the specified name.

### get

public static Direction get(int value)
Returns the 'Direction' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<Direction>`